{ config, pkgs, pkgs-unstable, lib, ... }: {
  # Set up Gitea with LFS support
  services.gitea = {
    enable = true;
    domain = "git.coolneng.duckdns.org";
    rootUrl = "https://git.coolneng.duckdns.org";
    package = pkgs-unstable.gitea;
    database = {
      type = "postgres";
      passwordFile = config.age.secrets.gitea.path;
    };
    repositoryRoot = "/vault/git";
    appName = "Gitea";
    lfs = {
      enable = true;
      contentDir = "${config.services.gitea.repositoryRoot}/data/lfs";
    };
    settings = {
      ui.DEFAULT_THEME = "arc-green";
      session.COOKIE_SECURE = true;
      server.DISABLE_SSH = true;
      actions.ENABLED = true;
    };
  };
}
